%global gittag 3.14
%global dpf DPF

#%global commit1 279c265361a9da5a1491107585c75284e0dc0e18
#%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})
# DPF git submodule
%global commit1 08669d1bc30c6e971fde800eade4ca40104ba8b2
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})

Name:           zam-plugins
Version:        %{gittag}
Release:        %mkrel 2
Summary:        A collection of LV2/LADSPA/JACK audio plugins
License:        GPLv2+ and ISC
Group:          System/Libraries
URL:            http://www.zamaudio.com/
Source0:        https://github.com/zamaudio/%{name}/archive/%{gittag}/%{name}-%{version}.tar.xz
Source1:        https://github.com/DISTRHO/DPF/archive/%{commit1}/%{dpf}-%{shortcommit1}.tar.gz
# Patch sent upstream by Fedora https://github.com/zamaudio/zam-plugins/pull/62
#Patch0:         %{name}-unbundle-zita-convolver.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(fftw3) >= 3.3.5
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(x11)
BuildRequires:  zita-convolver-devel = 3.1.0

%package -n lv2-zam-plugins
Summary:        A collection of LV2/LADSPA/JACK audio plugins. LV2 version
Group:          System/Libraries
Requires:       lv2 >= 1.8.1

%package -n ladspa-zam-plugins
Summary:        A collection of LV2/LADSPA/JACK audio plugins. LADSPA version
Group:          System/Libraries
Requires:       ladspa

%description
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.

%description -n lv2-zam-plugins
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.
This is the LV2 version.

%description -n ladspa-zam-plugins
zam-plugins is a collection of LV2/LADSPA/VST/JACK audio plugins
for sound processing developed in-house at ZamAudio.
This is the LADSPA version.

%prep
%setup -qa 1
%apply_patches

# Move submodule DPF to main source directory
rmdir dpf
mv %{dpf}-%{commit1} dpf

%build
# This package does not build on all arches with upstream build flags,
# so upstream build flags are split.
# These are realtime audio plugins, so we need the fastest possible math,
# flags for x86_64 are set to be compatible with most AMD and Intel CPUs,
# and to use the best possible SIMD instruction set.
flags=" -ffast-math"

%ifarch %{ix86}
flags+=" -msse -mfpmath=sse"
%endif

%ifarch x86_64
flags+=" -msse2 -mfpmath=sse"
%endif

%setup_compile_flags

%make_build PREFIX=%{_prefix} LIBDIR=%{_lib} USE_SYSTEM_LIBS=1 \
 BASE_OPTS="${flags}" LINK_OPTS="%{optflags}"

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib} USE_SYSTEM_LIBS=1
# We don't need VST and DSSI plugins
rm -rf %{buildroot}%{_libdir}/vst %{buildroot}/*-dssi*

%files
%{_bindir}/*

%files -n lv2-zam-plugins
%{_libdir}/lv2/*

%files -n ladspa-zam-plugins
%{_libdir}/ladspa/*


%changelog
* Thu Oct 14 2021 onkelho <oh.quait at gmail.com> - 3.14-2pclos2021
- rebuild -

* Tue Oct 12 2021 onkelho <oh.quait at gmail.com> - 3.14-1pclos2021
- last release

* Fri Feb 08 2019 tex 3.10-1pclos2019
- new
